Problem installer.pl

Moderator: crythias

Post Reply
pidilandia
OTRS newbie
Posts: 25
Joined: 19 Sep 2017, 11:48
OTRS Version?: 5.0.16

Problem installer.pl

Post by pidilandia »

Hi,
I have a problem with my new installation with OTRS 5.0.18 because when I open the link http://localhost/otrs/installer.pl I receive the follower strings:


#!/usr/bin/perl
# --
# Copyright (C) 2001-2017 OTRS AG, http://otrs.com/
# --
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU AFFERO General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
# or see http://www.gnu.org/licenses/agpl.txt.
# --

use strict;
use warnings;

# use ../../ as lib location
use FindBin qw($Bin);
use lib "$Bin/../..";
use lib "$Bin/../../Kernel/cpan-lib";
use lib "$Bin/../../Custom";

# 0=off;1=on;
my $Debug = 0;

use Kernel::System::Web::InterfaceInstaller();
use Kernel::System::ObjectManager;

local $Kernel::OM = Kernel::System::ObjectManager->new();

my $Interface = Kernel::System::Web::InterfaceInstaller->new( Debug => $Debug );
$Interface->Run();


How I can solve this problem?

Thank you very much.
Pidi

wurzel
OTRS guru
Posts: 2881
Joined: 08 Jul 2010, 22:25
OTRS Version?: 6.0.x

Re: Problem installer.pl

Post by wurzel »

Hi,

use latest version
show the output of /opt/otrs/bin/otrs.CheckModules.pl

a guess is, you did not enable perl in apache.

Flo
    ((OTRS)) Community Edition 6.0.x, LAMP LIVE auf Debian 10
    OTRS 7 SILVER
    OTRS 8 auf Debian 10 zum Testen

    -- Ich beantworte keine Forums-Fragen PN - No PN please

    I won't answer to unfriendly users any more. A greeting and regards are just polite.

    pidilandia
    OTRS newbie
    Posts: 25
    Joined: 19 Sep 2017, 11:48
    OTRS Version?: 5.0.16

    Re: Problem installer.pl

    Post by pidilandia »

    Hi Wurzel,
    I have a old server with Debian 8.11, the new Otrs versions are not supported.
    This is my CheckModules.pl:

    #!/usr/bin/perl
    # --
    # Copyright (C) 2001-2017 OTRS AG, http://otrs.com/
    # --
    # This program is free software; you can redistribute it and/or modify
    # it under the terms of the GNU AFFERO General Public License as published by
    # the Free Software Foundation; either version 3 of the License, or
    # any later version.
    #
    # This program is distributed in the hope that it will be useful,
    # but WITHOUT ANY WARRANTY; without even the implied warranty of
    # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    # GNU General Public License for more details.
    #
    # You should have received a copy of the GNU Affero General Public License
    # along with this program; if not, write to the Free Software
    # Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
    # or see http://www.gnu.org/licenses/agpl.txt.
    # --

    use strict;
    use warnings;

    use File::Basename;
    use FindBin qw($RealBin);
    use lib dirname($RealBin);
    use lib dirname($RealBin) . '/Kernel/cpan-lib';
    use lib dirname($RealBin) . '/Custom';

    use Kernel::System::Environment;
    use Kernel::System::VariableCheck qw( :all );

    use Linux::Distribution;
    use ExtUtils::MakeMaker;
    use File::Path;
    use Getopt::Long;
    use Term::ANSIColor;

    our %InstTypeToCMD = (

    # [InstType] => {
    # CMD => '[cmd to install module]',
    # UseModule => 1/0,
    # }
    # Set UseModule to 1 if you want to use the
    # cpan module name of the package as replace string.
    # e.g. yum install "perl(Date::Format)"
    # If you set it 0 it will use the name
    # for the InstType of the module
    # e.g. apt-get install -y libtimedate-perl
    # and as fallback the default cpan install command
    # e.g. cpan DBD::Oracle
    aptget => {
    CMD => 'apt-get install -y %s',
    UseModule => 0,
    },
    emerge => {
    CMD => 'emerge %s',
    UseModule => 0,


    Thank you!
    Pidi

    pidilandia
    OTRS newbie
    Posts: 25
    Joined: 19 Sep 2017, 11:48
    OTRS Version?: 5.0.16

    Re: Problem installer.pl

    Post by pidilandia »

    o Apache::DBI......................ok (v1.12)
    o Apache2::Reload..................ok (v0.13)
    o Archive::Tar.....................ok (v1.96)
    o Archive::Zip.....................ok (v1.39)
    o Crypt::Eksblowfish::Bcrypt.......ok (v0.009)
    o Crypt::SSLeay....................ok (v0.58)
    o Date::Format.....................ok (v2.24)
    o DBI..............................ok (v1.631)
    o DBD::mysql.......................ok (v4.028)
    o DBD::ODBC........................ok (v1.50)
    o DBD::Oracle......................Not installed! (optional - Required to connect to a Oracle database.)
    o DBD::Pg..........................ok (v3.4.2)
    o Digest::SHA......................ok (v5.88)
    o Encode::HanExtra.................ok (v0.23)
    o IO::Socket::SSL..................ok (v2.002)
    o JSON::XS.........................ok (v2.34)
    o List::Util::XS...................ok (v1.38)
    o LWP::UserAgent...................ok (v6.13)
    o Mail::IMAPClient.................ok (v3.35)
    o IO::Socket::SSL................ok (v2.002)
    o ModPerl::Util....................ok (v2.000009)
    o Net::DNS.........................ok (v0.81)
    o Net::LDAP........................ok (v0.64)
    o Template.........................ok (v2.24)
    o Template::Stash::XS..............ok (undef)
    o Text::CSV_XS.....................ok (v1.11)
    o Time::HiRes......................ok (v1.9726)
    o Time::Piece......................ok (v1.27)
    o XML::LibXML......................ok (v2.0116)
    o XML::LibXSLT.....................ok (v1.92)
    o XML::Parser......................ok (v2.41)
    o YAML::XS.........................ok (v0.41)

    root
    Moderator
    Posts: 2051
    Joined: 18 Dec 2007, 12:23
    OTRS Version?: 4/5/6
    Real Name: Roy Kaldung
    Company: Znuny Inc.
    Contact:

    Re: Problem installer.pl

    Post by root »

    Hi,

    Did you followed the official manual? Are you familiar with configuring apache?

    - Roy
    OTRS 5/6 CentOS / RHEL / Debian / SLES / MySQL / PostgreSQL / Oracle / OpenLDAP / Active Directory / SSO

    Do you need professional services for the ((OTRS)) Community Edition? Check out https://www.znuny.com/

    zzz
    OTRS ninja
    Posts: 439
    Joined: 15 Dec 2016, 15:13
    OTRS Version?: 3.x - 6.0.x
    Real Name: Emin Yazi
    Company: Efflux GmbH
    Contact:

    Re: Problem installer.pl

    Post by zzz »

    Hey,

    Just install the newest OTRS 6 via source files. There is no reason to install an older version.
    Follow this guide: https://doc.otrs.com/doc/manual/admin/6 ... -otrs.html

    Best regards
    Emin
    Professional OTRS services for development, consulting, hosting and support:
    efflux.de – German | efflux.de/en/ – English

    Free and premium OTRS add-ons (TextModule, AdBlocker, ModernSkin ... growing): portal.efflux.de

    Post Reply